Name:           tkregexp
Version:        3.0.0
Release:        alt1
Summary:        Visual Regexp
License:        GPL
Group:          Development/Tcl
Url:            http://laurent.riesterer.free.fr/regexp/
BuildArch:      noarch
Source:         %name.tar.gz
Requires:       tcl, tk

%description
This software will let you design your regexps by letting you type the expression and visualize its effect on a sample of your choice.

%description -l ru_RU.KOI8-R
     .

%prep
%setup -n %name

%build

%install
mkdir -p $RPM_BUILD_ROOT%_bindir

install -p -m755 tkregexp.tcl $RPM_BUILD_ROOT%_bindir/%name

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/tkregexp << EOF
?package(%name): needs=x11 icon="tkregexp.png" section="Applications/Development/Tools" title=TkRegexp longtitle="Visual Regexp" command=tkregexp
EOF

#mdk icons
install -d $RPM_BUILD_ROOT{%_iconsdir,%_liconsdir,%_miconsdir}
install -p -m644 icons/tkregexp.png $RPM_BUILD_ROOT%_iconsdir/tkregexp.png
install -p -m644 icons/large/tkregexp.png $RPM_BUILD_ROOT%_liconsdir/tkregexp.png
install -p -m644 icons/mini/tkregexp.png $RPM_BUILD_ROOT%_miconsdir/tkregexp.png

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%_bindir/%name
%_libdir/menu/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Fri Nov  5 2004 Sergey Kalinin <banzaj@altlinux.ru> 3.0.0-alt1
- Initial release

